API ReferenceInsurance RefundsV1
Get insurance refund
Retrieves a previously created insurance refund by its `insurance_refund_id`. If the refund does not exist, a `403` will be thrown.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
insurance_refund_id*insurance-refundsv1InsuranceRefundId
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/insurance-refunds/v1/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "insurance_refund_id": "d59799b3-9c25-44eb-9420-eabb464708f7", "payer": { "payer_uuid": "ecc6b222-ef84-4433-9856-dedc46036dc7", "payer_id": "12345", "payer_name": "Payer Name", "availity_payer_name": "string", "availity_claims_payer_id": "string", "availity_eligibility_id": "string", "availity_remittance_payer_id": "string", "street_address": { "zip_plus_four_code": "1234", "address1": "string", "address2": "string", "city": "string", "state": "AA", "zip_code": "string" } }, "amount_cents": 0, "refund_timestamp": "2019-08-24T14:15:22Z", "refund_note": "string", "allocations": [ { "allocation_id": "382c58cf-1df3-4a3e-982d-9827484a770a", "amount_cents": 0, "target": { "type": "service_line", "service_line_id": "a87d8c62-6b36-44c6-9f01-a675dd3707d1", "claim_id": "6ed32748-64af-4d95-94ea-a78b6397033c", "encounter_id": "7a82c561-3d07-4ff8-8b24-4d41b12287d2" }, "earmark": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "target": { "type": "date_of_service", "value": "string" }, "amount_earmarked_cents": 0, "created_by_allocation_id": "b4f1e181-a23f-4a6d-8fac-1456d1d8b4b8" }, "allocated_on": "2019-08-24T14:15:22Z" } ], "refund_reason": "OVERCHARGED"}Create insurance refund POST
Creates a new insurance refund record and returns the newly created `InsuranceRefund` object. The allocations can describe whether the refund is being applied toward a specific service line, claim, or billing provider.
Update insurance refund PATCH
Updates the patient refund record matching the provided insurance_refund_id. If updating the refund amount, then the allocations must be appropriately updated as well.